<?php
session_start(); 
  include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	 $id_cd = $sesion->id;
extract($_POST);
$continuar=0;
$qp3 = "select nombre from usuarios_ci where idusuarios_ci=$centro";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$usuario = $rp3->nombre;
			
   $id_cd=$sesion->id;
$qPP = "select id_prod, nombreProd, precio, puntos, cant, cantidad from pedido join productos on pedido.productos_idprod=productos.id_prod left join stock on (stock.idprod=productos.id_prod and stock.idcd='$id_cd') where transacciones_idtransacciones=$trans order by nombreProd";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));



echo "<center><br><font color=\"#000099\" size=\"+1\"><b>Solicitudes pendientes de stock</b></font><br><br>Has Solicitado el siguiente producto a:<br> <br>
El Centro No. <b>$centro $usuario</b><br><br><table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Precio</th><th>Puntos</th><th>Existencias</th><th>Solicitado</th>";



while (($objetoPP=mysqli_fetch_object($rPP)) )

{

	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			<td align=\"center\">$ $objetoPP->precio</td><td align=\"center\">$objetoPP->puntos</td>
			<td align=\"center\">$objetoPP->cantidad</td>
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cant</td>

		

		  </tr> 

		 ";
if($objetoPP->cantidad < $objetoPP->cant){$continuar=1;}
   

}
echo"</table>";

if($status=='PENDIENTE'){

echo"<br>El estatus del pedido es <font color=\"#990000\" size=\"+2\"><b>$status</b></font><br><br>
ES necesario que sea autorizado por el centro $centro $usuario ";

}


	
	if($status=='AUTORIZADO'){
	echo"<br>El estatus del pedido es <font color=\"#339900\" size=\"+2\"><b>$status</b></font><br><br>
	<br><font color=\"red\" size=\"+1\"><b>Al hacer click en continuar, el producto ser&aacute; dado de alta<br>
	de tu stock y pasar&aacute; a formar parte tu centro No. $id_cd</b></font><br><br>
	<form name=\"busca\" action=\"agregarstock2.php\" method=\"post\">

			<input type=hidden name=transac value=$trans /><input type=hidden name=cdout value=$centro />
<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Continuar y dar de alta en mi Stock\" /></form></center>";} 

?>

